# Comics Viewer

This small project provides a web based viewer for comics in the CBZ and CBR formats. Bear in mind that much of the code in this project is **very** old and has had lots of "just get it working" updates over the decades (not kidding) to keep up with changing PHP API requirements. It is *sooooo* not pretty (but should be *safe*).

## This project requires

* PHP ImageMagick
* PHP RAR (PECL)
  - Unfortunately RAR 4.2.0 has not been updated for PHP 8/8.2 (as of 2023-08-18). There is a [fix](https://github.com/cataphract/php-rar/pull/18/commits/02331ca1cc1e8638c34e024566f4b391a6c863c5) available. Just replace the files in the version from PECL/Github with the ones in [this](https://github.com/cataphract/php-rar/pull/18).

## Don't forget to:

* Make sure the web server can read the folder than contains your comic book/novel archives
* Create a MySQL/MariaDB database for the app with privileges granted to a user
* Import the `install/initial_db_mysql.sql` database structure
* Change the ownership of the `comics/` and `thumbs/` folders to the web server user
* Copy the `variables-dist.php` file to `variables.php` and edit that file appropriately
* Set up the cron job for things in [cron/](cron/)
