<?php

$projectRoot = dirname(dirname(__FILE__));

require "{$projectRoot}/header.php";

if ( $argc != 2 ) {
    echo "Invalid number of days to keep\n";
    exit();
}
$daysToKeep = intval($argv[1]);

$ed = $projectRoot . "/" . EXTRACTSDIR;
$now = time();
$maxAge = $now - (86400*$daysToKeep);

$it = new RecursiveDirectoryIterator($ed, RecursiveDirectoryIterator::SKIP_DOTS);
$files = new RecursiveIteratorIterator($it, RecursiveIteratorIterator::CHILD_FIRST);
$validExtensions = array("cbr","cbz");
foreach ( $files as $file ) {
    if ( $file->isDir() && in_array($file->getExtension(), $validExtensions) ) {
        if ( filemtime($file->getRealPath()) <= $maxAge ) {
            echo "Found aged extracted comic: {$file->getFilename()}\n";
            exec("rm -rf \"{$file->getRealPath()}\"", $output, $retval);
        }
    }
}
